---
title: LockManager
slug: Web/API/LockManager
tags:
  - API
  - Experimental
  - Interface
  - LockManager
  - Reference
  - Web Locks API
  - lock
---
<p>{{SeeCompatTable}}{{APIRef("Web Locks")}}</p>

<p><span class="seoSummary">The <strong><code>LockManager</code></strong> interface of the <a href="/docs/Web/API/Web_Locks_API">Web Locks API</a> provides methods for requesting a new {{domxref('Lock')}} object and querying for an existing <code>Lock</code> object. To get an instance of <code>LockManager</code>, call {{domxref('navigator.locks')}}.</span></p>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref('LockManager.request()')}}</dt>
 <dd>Requests a {{domxref('Lock')}} object with parameters specifying its name and characteristics.</dd>
 <dt>{{domxref('LockManager.query()')}}</dt>
 <dd>Returns a {{jsxref('Promise')}} that resolves with a {{domxref('LockManagerSnapshot')}} which contains information about held and pending locks.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Locks','#api-lock-manager','LockManager')}}</td>
   <td>{{Spec2('Web Locks')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.LockManager")}}</p>
